%define name VRwave
%define version 0.9
%define release 2

Name: %{name}
Version: %{version}
Release: %{release}
Summary: VRML 2.0 browser.
Source: %{name}-%{version}-src.tar.gz
Source1: vrwave.sh
Source2: VRwave-0.9-extras.tar.gz
Patch: %{name}-%{version}.patch
Patch1: %{name}-%{version}-mesa.patch
Icon: vrwave.gif
Group: X11/Applications/Graphics
BuildRoot: /tmp/%{name}-%{version}-root
Copyright: Distributable (See /usr/doc/%{name}-%version}/LICENCE
Packager: Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org>
Distribution: Homegrown stuff for RedHat 5.0
Vendor: unknown
URL: http://www.iicm.edu/vrwave
Requires: Mesa, XFree86

%description
VRwave is a VRML 2.0 browser being developed at the IICM (Institute
for Information Processing and Computer Supported New Media), Graz
University of Technology, Austria, by the team who brought you the
VRweb VRML 1.0 browser.

%changelog
* Thu Sep 10 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org> [0.9-2]

- recompiled with mesa 3.0 beta (prior version had big security problems)
- uses jdk 1.1.6 to compile classes

* Tue May 19 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>

- Initial release.


%prep
%setup -n vrwave-src-0.9
%patch -p1
%patch1 -p1

%build
export CPU=LINUX_J113
export CLASSPATH=$CLASSPATH:/usr/lib/netscape/java/classes/java40.jar
./makeit
./makepw
./makejar
cd native
mkdir $CPU
( cd $CPU; ln -s ../makefile.CPU makefile )
make

%install
export CPU=LINUX_J113
install -d $RPM_BUILD_ROOT/usr/share/vrwave
install -m 644 -o root -g root classes/vrwave.jar $RPM_BUILD_ROOT/usr/share/vrwave/vrwave.jar
install -d $RPM_BUILD_ROOT/usr/lib
install -m 644 -o root -g root native/$CPU/libgejc.so $RPM_BUILD_ROOT/usr/lib/libgejc.so
install -d $RPM_BUILD_ROOT/usr/bin
install -m 755 -o root -g root $RPM_SOURCE_DIR/vrwave.sh $RPM_BUILD_ROOT/usr/bin/vrwave
( cd $RPM_BUILD_ROOT/usr/share/vrwave; tar xzf $RPM_SOURCE_DIR/VRwave-0.9-extras.tar.gz )
install -m 644 -o root -g root test/logo.gif $RPM_BUILD_ROOT/usr/share/vrwave/logo.gif
install -m 644 -o root -g root test/icons.gif $RPM_BUILD_ROOT/usr/share/vrwave/icons.gif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUILDING COPYRIGHT ChangeLog HACKING LICENCE README jdoc
/usr/bin/vrwave
/usr/lib/libgejc.so
/usr/share/vrwave/vrwave.jar
/usr/share/vrwave/examples
/usr/share/vrwave/icons
/usr/share/vrwave/eaitest
/usr/share/vrwave/logo.gif
/usr/share/vrwave/icons.gif
%docdir /usr/share/vrwave/help
